glib-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Allows the installation of Timeout Handlers on the GLib main loop. Use the method to install timeout handlers into the mainloop. System.Object
- Method
  System.UInt32 `` `` Adds a delegate to the mainloop. the interval in milliseconds between invocations of . a delegate of type to invoke every . an id representing the event source of the installed timeout handler.

  The delegate is invoked after the time period specified by . The delegate is invoked repeatedly until it returns .

  Invocation of the delegate may be delayed by other event processing, so this mechanism cannot be depended on for accurate timing. The interval to the next timeout is calculated at completion of the preceding timeout. There is no attempt made to "catch up" if an invocation is delayed.